org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class FinishApplicationMasterRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.FinishApplicationMasterRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class FinishApplicationMasterRequestPBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FinishApplicationMasterRequestPBImpl()`
    `FinishApplicationMasterRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.FinishApplicationMasterRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `String` | `getDiagnostics()`
    `org.apache.hadoop.yarn.api.records.FinalApplicationStatus` | `getFinalApplicationStatus()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.FinishApplicationMasterRequestProto` | `getProto()`
    `String` | `getTrackingUrl()`
    `int` | `hashCode()`
    `void` | `setDiagnostics(String diagnostics)`
    `void` | `setFinalApplicationStatus(org.apache.hadoop.yarn.api.records.FinalApplicationStatus finalState)`
    `void` | `setTrackingUrl(String url)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FinishApplicationMasterRequestPBImpl

          public FinishApplicationMasterRequestPBImpl()

    - #### FinishApplicationMasterRequestPBImpl

          public FinishApplicationMasterRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.FinishApplicationMasterRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.FinishApplicationMasterRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getDiagnostics

          public String getDiagnostics()

      Specified by:
        `getDiagnostics` in class `org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest`

    - #### setDiagnostics

          public void setDiagnostics(String diagnostics)

      Specified by:
        `setDiagnostics` in class `org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest`

    - #### getTrackingUrl

          public String getTrackingUrl()

      Specified by:
        `getTrackingUrl` in class `org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest`

    - #### setTrackingUrl

          public void setTrackingUrl(String url)

      Specified by:
        `setTrackingUrl` in class `org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest`

    - #### getFinalApplicationStatus

          public org.apache.hadoop.yarn.api.records.FinalApplicationStatus getFinalApplicationStatus()

      Specified by:
        `getFinalApplicationStatus` in class `org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest`

    - #### setFinalApplicationStatus

          public void setFinalApplicationStatus(org.apache.hadoop.yarn.api.records.FinalApplicationStatus finalState)

      Specified by:
        `setFinalApplicationStatus` in class `org.apache.hadoop.yarn.api.protocolrecords.FinishApplicationMasterRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.